from mongokit import Document


class Info(Document):
    __collection__ = 'info'
    use_dot_notation = True

    required_fields = []

    indexes = [
    ]


class SyncInfo(Info):
    structure = {
        '_id': unicode,
        'state': unicode,
        'lastsync_id': int,
        'lastsync_timestamp': int,
    }

    required_fields = ['_id', 'state']


class MongoPypiVersion(Info):
    structure = {
        '_id': unicode,
        'version': int,
    }

    required_fields = ['_id', 'version']
