from mongopypi.model.changelog import Changelog


class Synclog(Changelog):
    __collection__ = 'synclog'
    use_dot_notation = True

    structure = {
    }

    indexes = []

    def get_last(self):
        cur = self.find().sort("$natural", -1).limit(1)
        return cur[0]

    def get_sync_timestamp(self):
        return self.get_last()['t']

    def get_sync_id(self):
        return self.get_last()['_id']

    def get_tailor_cursor(self, spec=None):
        return self.find(spec, await_data=True, tailable=True)
